import { Input } from 'enquirer';
import { InteractiveSubSource } from './InteractiveSubSource';

export class StringSubSource extends InteractiveSubSource {
  protected condition ():boolean {
    return true;
  }

  protected async run ():Promise<void> {
    await this.val.assign_arg (
      this.opt,
      await new Input ({
        message: this.get_message (),
        default: this.opt.default
      })
        .run ()
    );
  }
}
